/**
 * @file tventanuco.h
 * @brief Primer programa Qt para SII
 *
 * @author Angel Perles
 */

// hay que meter la cabecera de los objetos Qt que vayas a usar
#include <QPushButton>
#include <QVBoxLayout>
#include <QLabel>
#include <QLineEdit>

#include "tventanuco.h"


TVentanuco::TVentanuco(const char *mensaje)
    : QDialog()  // llamamos al constructor de la base
{
    // ponemos el mensaje en el titulo del dialog
    setWindowTitle(mensaje);

    //crear el distribuidor de objetos
    lyDistribuidor = new QVBoxLayout(this);

    // creamos una etiqueta y la metemos en el "layout"
    lbEtiqueta = new QLabel(tr("A ver si esto va o no"));
    lyDistribuidor->addWidget(lbEtiqueta);

    // parar jugar con los "layout", meto un "muelle"
    lyDistribuidor->addStretch();

    // ahora una linea de edicion
    leEdicion = new QLineEdit;
    lyDistribuidor->addWidget(leEdicion);

    // ahora un boton
    btToquetear = new QPushButton(tr("Tocar narices"));
    lyDistribuidor->addWidget(btToquetear);

    // ahora el boton de cerrar
    btCerrar = new QPushButton(tr("Salir"));
    lyDistribuidor->addWidget(btCerrar);
}
